<template>
  <div class="content">
    <i
      :class="`icon ${icon}`"
    />
  </div>
</template>

<script>
  export default {
    name: 'spotQuota',
    props: {
      data: {
        type: Object,
        default: () => {}
      }
    },
    computed: {
      icon() {
        return this.data?.orderCondition === 'QUOTA' ? 'handshake -blue-700' : 'hot-2 -light-raspberry-red'
      }
    }
  }
</script>

<style scoped lang="scss">
.content {
  width: 30px;
  text-align: center;
}
</style>